Apple Posts Front Row 2.1.6

| News

Apple posted Front Row 2.1.6 on Tuesday. The new version has bug fixes and is designed to have improved iTunes 8 compatibility.

Front Row requires Mac OS X 10.5 or later, QuickTime 7.5.5. or later and iTunes 6.0.4 or later and iPhoto 6.0.2 or later. It is 12.5 MB.

Front Row is Appleis application that allows users to manipulate and view A/V content on an Intel Mac with the Apple remote control.

Sign Up for the Newsletter

Join the TMO Express Daily Newsletter to get the latest Mac headlines in your e-mail every weekday.

No Comments

Log-in to comment